#include <iostream>
#include "Birthday10.h"

using namespace std;

Birthday::Birthday() : year(0), month(0), date(0)
{
    cout << "*** Default constructor called for " << *this << endl;
}

Birthday::Birthday(int y, int m, int d) : year(y), month(m), date(d)
{
    cout << "*** Constructor called for " << *this << endl;
}

Birthday::~Birthday()
{
    cout << "*** Destructor called for " << *this << endl;
}

int Birthday::get_year()  const { return year; }
int Birthday::get_month() const { return month; }
int Birthday::get_date()  const { return date; }

void Birthday::set_year(int y)  { year = y; }
void Birthday::set_month(int m) { month = m; }
void Birthday::set_date(int d)   { date = d; }

ostream& operator <<(ostream& outs, const Birthday& bd)
{
    outs << bd.month << "/" << bd.date << "/" << bd.year;
    return outs;
}
