#include <iostream>
#include "Birthday10.h"

int main()
{
    cout << "Automatically allocating birthdays ..." << endl;

    Birthday bd1;              // call default constructor
    Birthday bd2(1981, 9, 2);  // call constructor
    Birthday bds[3];           // call default constructor

    cout << endl;
    cout << "Dynamically allocating birthdays ..." << endl;

    Birthday *pbd1 = new Birthday();            // call default constructor
    Birthday *pbd2 = new Birthday(1992, 5, 8);  // call constructor
    Birthday *pbds = new Birthday[4];           // call default constructor

    cout << endl;
    cout << "Deallocating dynamically allocated birthdays ..." << endl;

    delete pbd1;
    delete pbd2;
    delete [] pbds;

    cout << endl;
    cout << "Program terminating ..." << endl;
    return 0;
}
